For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conversation Notes

Removes notes from a conversation

delete

Required Permission: chatbots.conversations.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The Id of the conversation to add notes to.

Body
notesstring[] · min: 1Required

The notes to remove from the conversation.

Example: ["Resolved","Duplicate inquiry"]
Responses
200Success
application/json
object · ConversationNotesResponseDtoOptional
delete/v1/chatbots/{chatbotId}/conversations/{conversationId}/notes
DELETE /v1/chatbots/{chatbotId}/conversations/{conversationId}/notes HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "notes": [
    "Resolved",
    "Duplicate inquiry"
  ]
}
{}

Adds notes to a conversation

patch

Required Permission: chatbots.conversations.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The Id of the conversation to add notes to.

Body
notesstring[] · min: 1Required

The notes to add to the conversation.

Example: ["Customer requested callback","Issue escalated to supervisor"]
Responses
200Success
application/json
object · ConversationNotesResponseDtoOptional
patch/v1/chatbots/{chatbotId}/conversations/{conversationId}/notes
PATCH /v1/chatbots/{chatbotId}/conversations/{conversationId}/notes HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "notes": [
    "Customer requested callback",
    "Issue escalated to supervisor"
  ]
}
{}

Last updated